Subject: Re: bug#25774: libmicrohttpd: fails to build (test-driver aborted)

From: Leo Famulari <[email-masked]>
Date: Fri, 17 Feb 2017 15:53:41 -0500

On Fri, Feb 17, 2017 at 06:10:30PM +0100, Ivan Vilata i Balaguer wrote:
> Hi ng0, I'm building it on:
> 
>     $ uname -a
>     Linux sax 4.9.0-1-amd64 #1 SMP Debian 4.9.6-3 (2017-01-28) x86_64 GNU/Linux

It built successfully for me on a similar environment from Guix Git
commit 1f45f18abe487be85c290227256690a3f32f7874.

$ uname -a
Linux computer 4.9.10 #12 SMP Thu Feb 16 02:10:37 EST 2017 x86_64 GNU/Linux

I built it on btrfs and ext4 filesystems.

> Possibly relevant envvars:
> 
>     $ env | grep guix
>     GUIX_PROFILE=/home/ivan/.guix-profile
>     GIT_SSL_CAINFO=/home/ivan/.guix-profile/etc/ssl/certs/ca-certificates.crt
>     GUILE_LOAD_COMPILED_PATH=/home/ivan/.guix-profile/lib/guile/2.0/site-ccache:/home/ivan/.guix-profile/share/guile/site/2.0
>     GUIX_LOCPATH=/home/ivan/.guix-profile/lib/locale
>     PURPLE_PLUGIN_PATH=/home/ivan/.guix-profile/lib/purple-2:/home/ivan/.guix-profile/lib/pidgin
>     GUILE_LOAD_PATH=/home/ivan/.guix-profile/share/guile/site/2.0
>     PATH=/home/ivan/.guix-profile/bin:/home/ivan/.guix-profile/sbin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
>     INFOPATH=/home/ivan/.guix-profile/share/info

Variables from your user's environment are not propagated into the build
environment.

> The log from ``guix package --keep-failed --install libmicrohttpd``:

The build tree kept by '--keep-failed' will include a copy of the
build's environment in the file 'environment-variables'. But I'm not
sure if it's relevant.

> FAIL: test_upgrade_ssl
> ======================
> 
> verify depth is 0
> depth=0 CN = test_ca_cert
> verify error:num=20:unable to get local issuer certificate
> verify return:1
> depth=0 CN = test_ca_cert
> verify error:num=21:unable to verify the first certificate
> verify return:1
> DONE

The only debugging suggestion I have is to make sure that your clock is
correct. Test suites that do certificate verification should take care
not to break in the future, but perhaps it's less common for test
authors to handle the case of a clock set to the past.

Beyond that, did you find anything relevant on the upstream bug tracker?

https://ng.gnunet.org/bugs/view_all_bug_page.php